/*
 * Code for class REFLECTOR_CONSTANTS
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"


#ifdef __cplusplus
extern "C" {
#endif

extern EIF_TYPED_VALUE F132_2566(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2567(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2568(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2569(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2570(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2571(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2572(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2573(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2574(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2575(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2576(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2577(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2578(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2579(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2580(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2581(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2582(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2583(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2584(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2585(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2586(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2587(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2588(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2589(EIF_REFERENCE);
extern EIF_TYPED_VALUE F132_2590(EIF_REFERENCE);
extern void EIF_Minit132(void);

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif


#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {REFLECTOR_CONSTANTS}.none_type */
EIF_TYPED_VALUE F132_2566 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) -2L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.pointer_type */
EIF_TYPED_VALUE F132_2567 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.reference_type */
EIF_TYPED_VALUE F132_2568 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.character_8_type */
EIF_TYPED_VALUE F132_2569 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.character_type */
EIF_TYPED_VALUE F132_2570 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.boolean_type */
EIF_TYPED_VALUE F132_2571 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.integer_32_type */
EIF_TYPED_VALUE F132_2572 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.integer_type */
EIF_TYPED_VALUE F132_2573 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.real_32_type */
EIF_TYPED_VALUE F132_2574 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 5L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.real_type */
EIF_TYPED_VALUE F132_2575 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 5L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.real_64_type */
EIF_TYPED_VALUE F132_2576 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 6L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.double_type */
EIF_TYPED_VALUE F132_2577 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 6L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.expanded_type */
EIF_TYPED_VALUE F132_2578 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 7L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.bit_type */
EIF_TYPED_VALUE F132_2579 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.integer_8_type */
EIF_TYPED_VALUE F132_2580 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 9L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.integer_16_type */
EIF_TYPED_VALUE F132_2581 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 10L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.integer_64_type */
EIF_TYPED_VALUE F132_2582 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 11L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.character_32_type */
EIF_TYPED_VALUE F132_2583 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 12L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.wide_character_type */
EIF_TYPED_VALUE F132_2584 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 12L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.natural_8_type */
EIF_TYPED_VALUE F132_2585 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 13L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.natural_16_type */
EIF_TYPED_VALUE F132_2586 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 14L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.natural_32_type */
EIF_TYPED_VALUE F132_2587 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 15L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.natural_64_type */
EIF_TYPED_VALUE F132_2588 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.min_predefined_type */
EIF_TYPED_VALUE F132_2589 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) -2L);
	return r;
}

/* {REFLECTOR_CONSTANTS}.max_predefined_type */
EIF_TYPED_VALUE F132_2590 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16L);
	return r;
}

void EIF_Minit132 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
